Update Preferences
better-auth.session_token<token>
Signed-in EnderDash browser session cookie.
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
organizationId?string
Length
1 <= lengthorganizationSlug?string
Length
1 <= lengthchatMentionEmailDelayMinutes*integer
Range
0 <= value <= 120chatMentionEmailEnabled*boolean
chatMentionPushEnabled*boolean
eventChannels*
serverScope*string
Value in
- "all"
- "selected"
selectedServerIds*array<>
Items
items <= 200quietHoursStart*|null
quietHoursEnd*|null
quietHoursTimezone*string
Length
1 <= length <= 120criticalBreakthrough*boolean
digestEnabled*boolean
digestWeekday*integer
Range
1 <= value <= 7digestTime*string
Match
^\d{2}:\d{2}$digestTimezone*string
Length
1 <= length <= 120Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/notifications/updatePreferences" \ -H "Content-Type: application/json" \ -d '{ "chatMentionEmailDelayMinutes": 0, "chatMentionEmailEnabled": true, "chatMentionPushEnabled": true, "eventChannels": { "email": [ "server.offline" ], "push": [ "server.offline" ] }, "serverScope": "all", "selectedServerIds": [ "29c0140c-d928-483b-8a93-bb41556abf69" ], "quietHoursStart": "string", "quietHoursEnd": "string", "quietHoursTimezone": "string", "criticalBreakthrough": true, "digestEnabled": true, "digestWeekday": 1, "digestTime": "string", "digestTimezone": "string" }'null